.\"	$NetBSD: iopctl.8,v 1.10 2006/11/13 16:33:57 ad Exp $
.\"
.\" Copyright (c) 2000 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 1, 2000
.Dt IOPCTL 8
.Os
.Sh NAME
.Nm iopctl
.Nd a program to control IOP devices
.Sh SYNOPSIS
.Nm iopctl
.Op Fl f Ar ctldev
.Ar command
.Op Ar tid
.Sh DESCRIPTION
The
.Nm
command can be used to interrogate and control I2O devices.
.Pp
The following options are available:
.Bl -tag -width xxxxxxxxxxx
.It Fl f Ar ctldev
Specify the control device to use. The default is
.Pa /dev/iop0 .
.El
.Pp
The following commands are available:
.Bl -tag -width indent
.It reconfig
Reconfigure the IOP: ask all bus ports to rescan their busses, and attach or
detach devices to and from the system as necessary.
.It showddmid Ar tid
Retrieve and display the DDM (device driver module) identity parameter group
from the specified target.
.It showdevid Ar tid
Retrieve and display the device identity parameter group from the specified
target.
.It showlct
Display the driver's private copy of the logical configuration table.  This
copy of the LCT matches the current device configuration, but is not
necessarily the latest available version of the LCT.
.It showstatus
Display the current status of the IOP.
.It showtidmap
Display the device to TID map.
.El
.Sh FILES
.Bl -tag -width /dev/iopn -compact
.It Pa /dev/iop Ns Ar u
control device for IOP unit
.Ar u
.El
.Sh SEE ALSO
.Xr ioctl 2 ,
.Xr iop 4 ,
.Xr iopsp 4 ,
.Xr ld 4
.Pp
The
.Pa sysutils/i2ocfg
package.
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.5.3 .
